# Uses of Class
javax.swing.RowFilter

Packages that use RowFilter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of RowFilter in javax.swing

  Methods in javax.swing that return RowFilter
  Modifier and Type
  Method
  Description
  `static <M,I> RowFilter<M,I>`
  RowFilter.`andFilter(Iterable<? extends RowFilter<? super M, ? super I>> filters)`
  Returns a `RowFilter` that includes entries if all of the supplied filters include the entry.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`dateFilter(RowFilter.ComparisonType type, Date date, int... indices)`
  Returns a `RowFilter` that includes entries that have at least one `Date` value meeting the specified criteria.
  `RowFilter<? super M, ? super I>`
  DefaultRowSorter.`getRowFilter()`
  Returns the filter that determines which rows, if any, should be hidden from view.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`notFilter(RowFilter<M,I> filter)`
  Returns a `RowFilter` that includes entries if the supplied filter does not include the entry.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`numberFilter(RowFilter.ComparisonType type, Number number, int... indices)`
  Returns a `RowFilter` that includes entries that have at least one `Number` value meeting the specified criteria.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`orFilter(Iterable<? extends RowFilter<? super M, ? super I>> filters)`
  Returns a `RowFilter` that includes entries if any of the supplied filters includes the entry.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`regexFilter(String regex, int... indices)`
  Returns a `RowFilter` that uses a regular expression to determine which entries to include.
  Methods in javax.swing with parameters of type RowFilter
  Modifier and Type
  Method
  Description
  `static <M,I> RowFilter<M,I>`
  RowFilter.`notFilter(RowFilter<M,I> filter)`
  Returns a `RowFilter` that includes entries if the supplied filter does not include the entry.
  `void`
  DefaultRowSorter.`setRowFilter(RowFilter<? super M, ? super I> filter)`
  Sets the filter that determines which rows, if any, should be hidden from the view.
  Method parameters in javax.swing with type arguments of type RowFilter
  Modifier and Type
  Method
  Description
  `static <M,I> RowFilter<M,I>`
  RowFilter.`andFilter(Iterable<? extends RowFilter<? super M, ? super I>> filters)`
  Returns a `RowFilter` that includes entries if all of the supplied filters include the entry.
  `static <M,I> RowFilter<M,I>`
  RowFilter.`orFilter(Iterable<? extends RowFilter<? super M, ? super I>> filters)`
  Returns a `RowFilter` that includes entries if any of the supplied filters includes the entry.